Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.msgreceivers
Class RMMessageReceiver

    java.lang.Object
      org.apache.axis2.receivers.AbstractMessageReceiver
          org.apache.sandesha2.msgreceivers.RMMessageReceiver

All Implemented Interfaces:
  org.apache.axis2.engine.MessageReceiver

    public class RMMessageReceiver

extends org.apache.axis2.receivers.AbstractMessageReceiver

Currently this is a dummy Msg Receiver. All the necessary RM logic happens at MessageProcessors. This only ensures that the defaults Messsage Receiver does not get called for RM control messages.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`org.apache.axis2.receivers.AbstractMessageReceiver.AsyncMessageReceiverWorker, org.apache.axis2.receivers.AbstractMessageReceiver.ThreadContextDescriptor`

Field Summary

Fields inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`DO_ASYNC, SAVED_MC, SAVED_TCCL, SCOPE, serviceTCCL`

Constructor Summary
`RMMessageReceiver()`

Method Summary
`void` | `invokeBusinessLogic(org.apache.axis2.context.MessageContext msgCtx)`

Methods inherited from class org.apache.axis2.receivers.AbstractMessageReceiver
`getSOAPFactory, getTheImplementationObject, makeNewServiceObject, receive, replicateState, restoreThreadContext, setThreadContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RMMessageReceiver

    public RMMessageReceiver()

Method Detail

### invokeBusinessLogic

    public final void invokeBusinessLogic(org.apache.axis2.context.MessageContext msgCtx)
                                   throws org.apache.axis2.AxisFault

  Specified by:
    `invokeBusinessLogic` in class `org.apache.axis2.receivers.AbstractMessageReceiver`
  Throws:
    `org.apache.axis2.AxisFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.